langflow:
  backend:
    replicaCount: 1
    image:
      repository: langflowai/langflow-backend
      tag: "v1.1.1"
    resources:
      requests:
        cpu: 0.5
        memory: 1Gi
    nodeSelector: {}
    tolerations: []
    backendOnly: true
    env:
      - name: LANGFLOW_PORT
        value: "7860"
      - name: LANGFLOW_LOG_LEVEL
        value: "info"
      - name: LANGFLOW_AUTO_LOGIN
        value: "True"
      - name: LANGFLOW_SUPERUSER
        value: "$langflow.backend.env.username"
      - name: LANGFLOW_SUPERUSER_PASSWORD
        value: "$langflow.backend.env.password"  
    externalDatabase:
      enabled: true
      driver:
        value: "postgresql"
      host:
        value: "{{ .Name }}-ide-postgresql-service"
      port:
        value: "5432"
      database:
        value: "langflow-db"
      user:
        value: "langflow"
      password:
        valueFrom:
          secretKeyRef:
            key: "password"
            name: "$INFISICAL_SECRET"
    sqlite:
      enabled: false
    probe:
      failureThreshold: 3
      periodSeconds: 10
      timeoutSeconds: 5
      initialDelaySeconds: 5
  frontend:
    enabled: true
    replicaCount: 1
    image:
      repository: langflowai/langflow-frontend
      tag: "v1.1.1"
    resources:
      requests:
        cpu: 0.3
        memory: 512Mi
    nodeSelector: {}
    tolerations: []

ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: "root-ca-issuer"
    cert-manager.io/duration: 8760h
    cert-manager.io/renew-before: 720h
    k8s.apisix.apache.org/plugin-config-name: oidc-keycloak-authz
  hosts:
    - host: "{{ .Name }}.{{ .Domain }}"
      paths:
        - path: /
          pathType: Prefix
          servicePort: 7860
  tls:
    - hosts:
        - "{{ .Name }}.{{ .Domain }}"
      secretName: "{{ .Name }}-tls-secret"

postgresql:
  enabled: true
  fullnameOverride: "{{ .Name }}-ide-postgresql-service"
  auth:
    username: "langflow"
    password: ""
    database: "langflow-db"
    existingSecret: "$INFISICAL_SECRET"
  primary:
    persistence:
      size: 5Gi
      storageClass: ""